KWIN_PS_GENERATE(3)

EXPERIMENTAL_FUNC
kwin_ps_generate - Generate PostScript output.

SYNOPSIS
#include <karma_kwin.h>

void kwin_ps_generate

(KPixCanvas canvas, CONST char *destination, flag queue, double hoffset, double voffset, double hsize, double vsize, unsigned int orientation, flag eps, double thin_linewidth, unsigned int tray, flag preserve_aspect, CONST char *media_size)

DESCRIPTION
Generate PostScript output.

canvas
    The pixel canvas to generate PostScript for.

destination
    The name of the file or printer queue to send the output.

queue
    If TRUE, send to a printer queue, else write to a file.

hoffset
    The horizontal offset (in centimeters) of the co-ordinate origin.

voffset
    The vertical offset (in centimeters) of the co-ordinate origin.

hsize
    The desired horizontal size of the co-ordinate system (in centimeters).

vsize
    The desired vertical size of the co-ordinate system (in centimeters).

portrait
    If TRUE, objects will be drawn in portrait mode (i.e. the x-axis will be horizontal), else they will be drawn in landscape mode (i.e. the x-axis will be vertical).

eps If TRUE the file format will be Encapsulated PostScript, else regular PostScript is written.

thin_linewidth
    The width (in mm) of thin lines.

tray
    The tray to print to. See <-psw_TRAY_TYPES-> for a list of trays.

preserve_aspect
    If TRUE, the aspect ratio of the canvas is preserved in the PostScript output (i.e. screen pixels will be square in the PostScript output), else the canvas is stretched to fill the specified area.

media_size
    The size of the media.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/